---
.title = "Book - The Cathedral and the Bazaar",
.author = "Martin Ashby",
.date = @date("2024-03-03T19:31:27Z"),
.layout = "single.html",
.custom = {"comments": true},
.description = "Book review 'The Cathedral and the Bazaar'"
---

I recently read [The Cathedral and the Bazaar](https://www.catb.org/~esr/writings/cathedral-bazaar/) by Eric S Raymond.

It's interesting to get a glimpse into the early history of arguably the most successful open-source software project there has ever been.

It's also dated somewhat. The author argues that open-source models of software development will overtake closed-source. It's clear today that open-source software has made enormous progress. Linux is more popular than ever. However there remains an _enormous_ amount of closed-source software in the world 25 years later, much of it needlessly so. There is also just an enormous amount of software in general; I'm not sure if Eric in the late 1990s and early 2000s would have predicted just how _central_ the software industry was to become in today's society and how much impact it would have.

I think the web took off in a way that the author may not have predicted. The other conspicuously absent topic is mobile. Combined I think these have significantly changed how most people consume software, and also how most people buy software. I think the author was correct that a lot of software would change to a subscription model; perhaps what he didn't anticipate is the prevelance of end-users directly making those subscriptions for software for their phones via app stores run by gatekeepers - the latest giant software corporations.