---
.title = "Zine",
.author = "Martin Ashby",
.date = @date("2024-03-27T20:26:45+00:00"),
.layout = "single.html",
.custom = {"comments": true},
---

I converted my blog from [hugo](https://gohugo.io/) to [zine](https://zine-ssg.io/). Hugo has been pretty good, but it had a couple of small annoyances like simple inclusion of raw HTML being difficult. Mostly though, I wanted to try something new, and my personal site is a safe space for me to do that :)

Zine is very new, in fact the disclaimer on the site "Zine is alpha software. Using Zine today means participating in its development." turned out to be true, and I had to submit a couple of changes to Zine to make it work for me. Thankfully the maintainer was really helpful, and they also pointed out how I could generate an RSS XML feed for my blog just like hugo did.

Code for my website can be found [here](https://code.mfashby.net/mfashby.net/). Since I have a quite a few posts, I wrote a [little program](https://code.mfashby.net/mfashby.net/tree/converter/src/main.zig) to convert the frontmatter for all my pages from hugo's YAML format to zine's ziggy format; although the output still needed some manual tweaks afterwards.

Tangentially related, I moved the couple of videos I was hosting directly from my site to [move IT Tube](https://tube.spdns.org/) to save bandwidth at home and so others can view them faster.